This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 433967 - qpidc failed massrebuild attempt for GCC 4.3
qpidc failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qpidc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Conway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:50 EST by Jesse Keating
Modified: 2013-01-09 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 00:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:50:54 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=435994
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-22 09:17:36 EST
In file included from ./qpid/RefCounted.h:25,
                 from qpid/broker/Persistable.h:27,
                 from qpid/broker/PersistableMessage.h:28,
                 from qpid/broker/Message.h:28,
                 from qpid/broker/Consumer.h:29,
                 from qpid/broker/Queue.h:31,
                 from qpid/broker/Deliverable.h:24,
                 from qpid/broker/Exchange.h:26,
                 from qpid/broker/DirectExchange.h:26,
                 from qpid/broker/Broker.h:27,
                 from qpidd.cpp:21:
./qpid/sys/AtomicCount.h:33: error: declaration of 'typedef class
qpid::sys::ScopedDecrement<qpid::sys::AtomicCount>
qpid::sys::AtomicCount::ScopedDecrement'
./qpid/sys/ScopedIncrement.h:50: error: changes meaning of 'ScopedDecrement'
from 'class qpid::sys::ScopedDecrement<qpid::sys::AtomicCount>'
./qpid/sys/AtomicCount.h:34: error: declaration of 'typedef class
qpid::sys::ScopedIncrement<qpid::sys::AtomicCount, boost::function<void ()(),
std::allocator<void> > > qpid::sys::AtomicCount::ScopedIncrement'
./qpid/sys/ScopedIncrement.h:35: error: changes meaning of 'ScopedIncrement'
from 'class qpid::sys::ScopedIncrement<qpid::sys::AtomicCount,
boost::function<void ()(), std::allocator<void> > >'
In file included from ./qpid/sys/Mutex.h:86,
                 from ./qpid/sys/posix/Condition.h:27,
                 from ./qpid/sys/Condition.h:28,
                 from ./qpid/sys/Monitor.h:26,
                 from qpid/broker/PersistableMessage.h:30,
                 from qpid/broker/Message.h:28,
                 from qpid/broker/Consumer.h:29,
                 from qpid/broker/Queue.h:31,
                 from qpid/broker/Deliverable.h:24,
                 from qpid/broker/Exchange.h:26,
                 from qpid/broker/DirectExchange.h:26,
                 from qpid/broker/Broker.h:27,
                 from qpidd.cpp:21:
./qpid/sys/posix/Mutex.h:39: error: declaration of 'typedef class
qpid::sys::ScopedLock<qpid::sys::Mutex> qpid::sys::Mutex::ScopedLock'
./qpid/sys/Mutex.h:31: error: changes meaning of 'ScopedLock' from 'class
qpid::sys::ScopedLock<qpid::sys::Mutex>'
./qpid/sys/posix/Mutex.h:40: error: declaration of 'typedef class
qpid::sys::ScopedUnlock<qpid::sys::Mutex> qpid::sys::Mutex::ScopedUnlock'
./qpid/sys/Mutex.h:41: error: changes meaning of 'ScopedUnlock' from 'class
qpid::sys::ScopedUnlock<qpid::sys::Mutex>'
./qpid/sys/posix/Mutex.h:60: error: declaration of 'typedef class
qpid::sys::ScopedRlock<qpid::sys::RWlock> qpid::sys::RWlock::ScopedRlock'
./qpid/sys/Mutex.h:51: error: changes meaning of 'ScopedRlock' from 'class
qpid::sys::ScopedRlock<qpid::sys::RWlock>'
./qpid/sys/posix/Mutex.h:61: error: declaration of 'typedef class
qpid::sys::ScopedWlock<qpid::sys::RWlock> qpid::sys::RWlock::ScopedWlock'
./qpid/sys/Mutex.h:61: error: changes meaning of 'ScopedWlock' from 'class
qpid::sys::ScopedWlock<qpid::sys::RWlock>'
./qpid/sys/posix/Mutex.h:126: error: declaration of 'typedef class
qpid::sys::ScopedLock<qpid::sys::PODMutex> qpid::sys::PODMutex::ScopedLock'
./qpid/sys/Mutex.h:31: error: changes meaning of 'ScopedLock' from 'class
qpid::sys::ScopedLock<qpid::sys::PODMutex>'
cc1plus: warnings being treated as errors
In file included from qpid/broker/Deliverable.h:24,
                 from qpid/broker/Exchange.h:26,
                 from qpid/broker/DirectExchange.h:26,
                 from qpid/broker/Broker.h:27,
                 from qpidd.cpp:21:
qpid/broker/Queue.h:165: error: type qualifiers ignored on function return type
In file included from qpid/broker/Broker.h:31,
                 from qpidd.cpp:21:
qpid/broker/QueueRegistry.h:91: error: type qualifiers ignored on function
return type
Comment 2 Alan Conway 2008-03-18 18:08:51 EDT
I have qualified the class names in the typedefs which I think will fix the
problem. I will rebuild with gcc 4.3 to verify when I get a chance.
Comment 3 Bug Zapper 2008-05-14 01:21:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matt Domsch 2008-07-08 00:39:51 EDT
builds as of 2008-07-03, version 0.2.656926-1.fc10.

Note You need to log in before you can comment on or make changes to this bug.